pydo.snapshots.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.snapshots.get(snapshot_id=6372321)
Returns JSONRaises HttpResponseError

Description

To retrieve information about a snapshot, send a GET request to /v2/snapshots/{snapshot_id}.

The response will be a JSON object with a key called snapshot. The value of this will be an snapshot object containing the standard snapshot attributes.

Parameters

snapshot_id object required

Either the ID of an existing snapshot. This will be an integer for a Droplet snapshot or a string for a volume snapshot.

Response Example

Show Response Example
{
  "snapshot": {
    "id": "6372321",
    "name": "web-01-1595954862243",
    "created_at": "2020-07-28T16:47:44Z",
    "regions": [
      "nyc3",
      "sfo3"
    ],
    "min_disk_size": 25,
    "size_gigabytes": 2.34,
    "resource_id": "200776916",
    "resource_type": "droplet",
    "tags": [
      "web",
      "env:prod"
    ]
  }
}

More Information

See /v2/snapshots/{snapshot_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.